// ignore_for_file: non_constant_identifier_names

import 'package:flutter/material.dart';
import 'package:shared_preferences/shared_preferences.dart';

class EnvironmentSwitch {

  // 保存环境变量的key
  static final _env_prefs_Key = "jf_environment_key";

  static SharedPreferences prefs;

  final _environments = ["测试环境", "预发环境", "线上环境", "其他"];

  static Future getInstance() async {
    prefs = await SharedPreferences.getInstance();
  }

  EnvironmentSwitch.show(BuildContext context) {
    showModalBottomSheet(
        context: context,
        builder: (context) => BottomSheet(
              onClosing: null,
              builder: (context) => ListView.builder(
                  itemCount: _environments.length,
                  itemBuilder: (context, index) => ListTile(
                        title: Text("${_environments[index]}"),
                        onTap: () {
                          Navigator.of(context).pop();
                          _saveEnv("$index");
                        },
                      )),
            ));
  }

  void _saveEnv(String value)  {
    prefs.setString(_env_prefs_Key, value);
  }

  static String getEnv() {
    return prefs.getString(_env_prefs_Key);
  }
}
